com.google.gwt.resources.gss

## Class ValueFunction

- java.lang.Object
- - com.google.gwt.resources.gss.ValueFunction

- All Implemented Interfaces:
    com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction

      public class ValueFunction
      extends java.lang.Object
      implements com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction

  Handles the value() function. This function takes a sequence of dot-separated identifiers interpreted as zero-arg method invocations. It can takes a optional prefix and suffix.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueFunction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode>` | `getCallResultNodes(java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode> args, com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager)`
    `java.lang.String` | `getCallResultString(java.util.List<java.lang.String> args)`
    `static java.lang.String` | `getName()`
    `java.lang.Integer` | `getNumExpectedArguments()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueFunction

          public ValueFunction()

  - ### Method Detail

    - #### getName

          public static java.lang.String getName()

    - #### getCallResultNodes

          public java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode> getCallResultNodes(java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode> args,
                                                                                                                   com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager)
                                                                                                            throws com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException

      Specified by:
        `getCallResultNodes` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`
      Throws:
        `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException`

    - #### getCallResultString

          public java.lang.String getCallResultString(java.util.List<java.lang.String> args)
                                               throws com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException

      Specified by:
        `getCallResultString` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`
      Throws:
        `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException`

    - #### getNumExpectedArguments

          public java.lang.Integer getNumExpectedArguments()

      Specified by:
        `getNumExpectedArguments` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`